DORMANTno replies

[PATCH] Don't create broken symlinks

From: Pavel Roskin <hidden>
Date: 2016-06-15 22:42:06
Subsystem: the rest · Maintainer: Linus Torvalds

cmd-rename.sh creates links for files that are not installed.
git-send-email is not installed by default, so git-send-email-script is
a broken link.

cmd-rename.sh should only create a link if the link target exists.
Also, the patchs add explicit exit codes for failures and ensures exit
code 0 if the script is successful.

Signed-off-by: Pavel Roskin <redacted>
diff --git a/cmd-rename.sh b/cmd-rename.sh
--- a/cmd-rename.sh
+++ b/cmd-rename.sh
@@ -1,10 +1,12 @@
 #!/bin/sh
 d="$1"
-test -d "$d" || exit
+test -d "$d" || exit 1
 while read old new
 do
-	rm -f "$d/$old"
-	ln -s "$new" "$d/$old"
+	rm -f "$d/$old" || exit 1
+	if [ -f "$new/$d" ]; then
+		ln -s "$new" "$d/$old"
+	fi
 done <<\EOF
 git-add-script	git-add
 git-archimport-script	git-archimport
@@ -53,3 +55,5 @@ EOF
 # These two are a bit more than symlinks now.
 # git-ssh-push	git-ssh-upload
 # git-ssh-pull	git-ssh-fetch
+
+exit 0

-- 
Regards,
Pavel Roskin
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help